package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanApplication;

public interface ApplicationMapper {
    int deleteByPrimaryKey(String applicationId);

    int insert(TabHaobanApplication record);

    int insertSelective(TabHaobanApplication record);

    TabHaobanApplication selectByPrimaryKey(String applicationId);

    int updateByPrimaryKeySelective(TabHaobanApplication record);

    int updateByPrimaryKey(TabHaobanApplication record);

	List<TabHaobanApplication> listApplication();
	
//	List<TabHaobanApplication> listByApplicationIds(@Param("applicationIds")List<String> applicationIds);
	
}